SC_UPDATE_RECORD(3)

NAME
sc_update_record - Write a record to an existing file

SYNOPSIS

#include <opensc.h>
int sc_update_record(struct sc_card *card, unsigned int record,
                     const unsigned char *buf, size_t buflen,
                     unsigned long flags);

DESCRIPTION

This function writes a record that is buflen bytes long from the buffer pointed to by buf to a record-structured elementary file (EF) oncard. The function corresponds to the ISO 7816 UPDATE RECORD function. Call sc_select_file() first to select the file to write to.

record specifies the ID of the record to be written, or, ifflags is set to SC_RECORD_BY_REC_NR, the record number. Ifrecord is set to zero, the current record will be read.

This function can be used for overwriting existing records only; for appending to files, see the sc_append_record() function.

RETURN VALUE

Returns the number of bytes written if successful, or a negative value in case of error.